> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blitz-api.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search Jobs

> Search job postings across companies by job attributes, location, and company firmographics.

<div style={{position:'absolute',width:'1px',height:'1px',padding:0,margin:'-1px',overflow:'hidden',clipPath:'inset(50%)',whiteSpace:'nowrap',border:0}}>
  > **Agents & LLMs**: a Markdown version of this page is available by appending `.md` to the URL, and the full documentation index is at [llms.txt](https://docs.blitz-api.ai/llms.txt).
</div>

<Callout icon="coin" color="blue">
  **Cost:** 1 credit per job returned on Trial Plan
</Callout>

<Callout icon="coin" color="orange">
  **Free** on the Unlimited plan
</Callout>

Search live job postings across companies in a single call. Combine job-level filters (title, description, field, seniority, employment type, work arrangement, location, date posted) with company-level firmographics (industry, size, headcount, HQ) to surface hiring signals that match your ICP.

<Note>
  **Pagination is cursor-based.** Pass the `cursor` returned by each response back into the next request. `cursor: null` means you're on the first page; a `null` cursor in the response means you've reached the end. A single query returns up to **5,000 jobs**, paginating through a maximum of **50 results** per request.
</Note>

<Tip>
  **Filter logic:** all filters combine with **AND**. Multiple values within a single `include` list combine with **OR** — e.g. two values in `job.title.include` returns jobs matching *either* title keyword. Use `exclude` to filter matches out.
</Tip>


## OpenAPI

````yaml api-reference/v2.openapi.json POST /v2/jobs/search
openapi: 3.1.0
info:
  title: Blitz API Reference
  version: 2.0.0
  description: >-
    Welcome to the Blitz API Reference.


    Use this interactive documentation to explore and test every v2 endpoint.
    Authentication is required via the `x-api-key` header.


    **Base URL**: `https://api.blitz-api.ai`


    **Rate limit**: 5 requests per second, per endpoint (all plans). Each
    endpoint has its own independent budget, so different endpoints don't share
    the limit.


    **Pricing**: All endpoints are unlimited on paid plans ($399+/mo). Free
    trial accounts receive 1,000 credits.
servers:
  - url: https://api.blitz-api.ai
    description: Production server
security: []
tags:
  - name: Account
    description: API key info and health check.
  - name: Waterfall ICP Search
    description: Priority-based cascade search — find the best-match contact at a company.
  - name: Employee Finder
    description: Browse all employees at a single company with filters.
  - name: Company Search
    description: Search companies by industry, size, location, and keywords.
  - name: Job Search
    description: Search job postings by role, location, and company firmographics.
  - name: People Enrichment
    description: Enrich contacts with verified emails, phones, and reverse lookups.
  - name: Company Enrichment
    description: Enrich companies and resolve domain ↔ LinkedIn URL.
  - name: Utilities
    description: Helper endpoints (current date/time).
paths:
  /v2/jobs/search:
    post:
      tags:
        - Job Search
      summary: Search Jobs
      description: >-
        Search job postings across companies by job attributes, location, and
        company firmographics.
      operationId: postV2JobsSearch
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              properties:
                job:
                  description: Job-level search criteria
                  type: object
                  properties:
                    title:
                      description: >-
                        Keywords matched against the job title only (strict role
                        search)
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                          examples:
                            - - Software Engineer
                          example:
                            - Software Engineer
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    description:
                      description: Keywords matched against the job description content
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    ai_keywords:
                      description: >-
                        Broad theme search across title, description, skills,
                        responsibilities, requirements and taxonomies
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    field:
                      description: >-
                        The job's professional field or discipline (e.g.
                        Software Engineering, Sales, Finance). Free-form —
                        accepts any field label.
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    seniority:
                      description: >-
                        The role's seniority, expressed as bands of required
                        years of experience (0-2, 2-5, 5-10, 10+ years).
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - 0-2
                              - 2-5
                              - 5-10
                              - 10+
                          examples:
                            - - 2-5
                              - 5-10
                          example:
                            - 2-5
                            - 5-10
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - 0-2
                              - 2-5
                              - 5-10
                              - 10+
                    employment_type:
                      description: >-
                        The type of employment the job offers (full-time,
                        part-time, contractor, temporary, intern, etc.).
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - FULL_TIME
                              - PART_TIME
                              - CONTRACTOR
                              - TEMPORARY
                              - INTERN
                              - VOLUNTEER
                              - PER_DIEM
                              - OTHER
                          examples:
                            - - FULL_TIME
                          example:
                            - FULL_TIME
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - FULL_TIME
                              - PART_TIME
                              - CONTRACTOR
                              - TEMPORARY
                              - INTERN
                              - VOLUNTEER
                              - PER_DIEM
                              - OTHER
                    work_arrangement:
                      description: >-
                        Where the work is performed — on-site, hybrid, or
                        remote.
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - On-site
                              - Hybrid
                              - Remote OK
                              - Remote Solely
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - On-site
                              - Hybrid
                              - Remote OK
                              - Remote Solely
                    location:
                      description: Job location (not company HQ).
                      type: object
                      properties:
                        city:
                          description: Job location city (exact, case/accent-insensitive)
                          type: object
                          properties:
                            include:
                              default: []
                              type: array
                              items:
                                type: string
                            exclude:
                              default: []
                              type: array
                              items:
                                type: string
                        country_code:
                          description: >-
                            Exact matches (ISO-3166 alpha-2) on the job location
                            country
                          type: object
                          properties:
                            include:
                              default: []
                              type: array
                              items:
                                type: string
                                minLength: 2
                                maxLength: 2
                            exclude:
                              default: []
                              type: array
                              items:
                                type: string
                                minLength: 2
                                maxLength: 2
                    date_posted:
                      description: Only jobs posted within the last N days
                      type: object
                      properties:
                        last_days:
                          examples:
                            - 30
                          type: integer
                          minimum: 1
                          maximum: 3650
                          example: 30
                company:
                  description: >-
                    Company-level firmographic criteria (enriched from the
                    internal company record)
                  type: object
                  properties:
                    is_agency:
                      description: >-
                        true = only recruitment/staffing agencies, false =
                        exclude confirmed agencies, null/omitted = both
                      anyOf:
                        - type: boolean
                        - type: 'null'
                      examples:
                        - null
                      example: null
                    industry:
                      description: >-
                        Exact matches on the enriched company's LinkedIn
                        industry
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - Abrasives and Nonmetallic Minerals Manufacturing
                              - Accessible Architecture and Design
                              - Accessible Hardware Manufacturing
                              - Accommodation and Food Services
                              - Accounting
                              - Administration of Justice
                              - Administrative and Support Services
                              - Advertising Services
                              - Agricultural Chemical Manufacturing
                              - >-
                                Agriculture; Construction; Mining Machinery
                                Manufacturing
                              - Airlines and Aviation
                              - Airlines/Aviation
                              - Air; Water; and Waste Program Management
                              - Alternative Dispute Resolution
                              - Alternative Fuel Vehicle Manufacturing
                              - Alternative Medicine
                              - Ambulance Services
                              - Amusement Parks and Arcades
                              - Animal Feed Manufacturing
                              - Animation
                              - Animation and Post-production
                              - Apparel and Fashion
                              - Apparel Manufacturing
                              - >-
                                Appliances; Electrical; and Electronics
                                Manufacturing
                              - Architectural and Structural Metal Manufacturing
                              - Architecture and Planning
                              - Armed Forces
                              - >-
                                Artificial Rubber and Synthetic Fiber
                                Manufacturing
                              - Artists and Writers
                              - Arts and Crafts
                              - Audio and Video Equipment Manufacturing
                              - Automation Machinery Manufacturing
                              - Automotive
                              - Aviation and Aerospace
                              - Aviation and Aerospace Component Manufacturing
                              - Baked Goods Manufacturing
                              - Banking
                              - Bars; Taverns; and Nightclubs
                              - Bed-and-Breakfasts; Hostels; Homestays
                              - Beverage Manufacturing
                              - Biomass Electric Power Generation
                              - Biotechnology
                              - Biotechnology Research
                              - Blockchain Services
                              - Blogs
                              - >-
                                Boilers; Tanks; and Shipping Container
                                Manufacturing
                              - Book and Periodical Publishing
                              - Book Publishing
                              - Breweries
                              - Broadcast Media
                              - Broadcast Media Production and Distribution
                              - Building Construction
                              - Building Equipment Contractors
                              - Building Finishing Contractors
                              - Building Materials
                              - Building Structure and Exterior Contractors
                              - Business Consulting and Services
                              - Business Content
                              - Business Intelligence Platforms
                              - Business Supplies and Equipment
                              - Cable and Satellite Programming
                              - Capital Markets
                              - Caterers
                              - Chemical Manufacturing
                              - Chemical Raw Materials Manufacturing
                              - Chemicals
                              - Child Day Care Services
                              - Chiropractors
                              - Circuses and Magic Shows
                              - Civic and Social Organization
                              - Civic and Social Organizations
                              - Civil Engineering
                              - Claims Adjusting; Actuarial Services
                              - Clay and Refractory Products Manufacturing
                              - Climate Data and Analytics
                              - Climate Technology Product Manufacturing
                              - Coal Mining
                              - Collection Agencies
                              - Commercial and Industrial Equipment Rental
                              - Commercial and Industrial Machinery Maintenance
                              - >-
                                Commercial and Service Industry Machinery
                                Manufacturing
                              - Commercial Real Estate
                              - Communications Equipment Manufacturing
                              - Community Development and Urban Planning
                              - Community Services
                              - Computer and Network Security
                              - Computer Games
                              - Computer Hardware
                              - Computer Hardware Manufacturing
                              - Computer Networking
                              - Computer Networking Products
                              - Computers and Electronics Manufacturing
                              - Computer Software
                              - Conservation Programs
                              - Construction
                              - Construction Hardware Manufacturing
                              - Consumer Electronics
                              - Consumer Goods
                              - Consumer Goods Rental
                              - Consumer Services
                              - Correctional Institutions
                              - Cosmetics
                              - Cosmetology and Barber Schools
                              - Courts of Law
                              - Credit Intermediation
                              - Cutlery and Handtool Manufacturing
                              - Dairy
                              - Dairy Product Manufacturing
                              - Dance Companies
                              - Data Infrastructure and Analytics
                              - Data Security Software Products
                              - Death Care Services
                              - Defense and Space
                              - Defense and Space Manufacturing
                              - Dentists
                              - Design
                              - Design Services
                              - Desktop Computing Software Products
                              - Digital Accessibility Services
                              - Distilleries
                              - Economic Programs
                              - Education
                              - Education Administration Programs
                              - Education Management
                              - E-learning
                              - E-Learning Providers
                              - Electrical and Electronic Manufacturing
                              - Electrical Equipment Manufacturing
                              - Electric Lighting Equipment Manufacturing
                              - Electric Power Generation
                              - >-
                                Electric Power Transmission; Control; and
                                Distribution
                              - Electronic and Precision Equipment Maintenance
                              - Embedded Software Products
                              - Emergency and Relief Services
                              - Energy Technology
                              - Engineering Services
                              - >-
                                Engines and Power Transmission Equipment
                                Manufacturing
                              - Entertainment
                              - Entertainment Providers
                              - Environmental Quality Programs
                              - Environmental Services
                              - Equipment Rental Services
                              - Events Services
                              - Executive Office
                              - Executive Offices
                              - Executive Search Services
                              - Fabricated Metal Products
                              - Facilities Services
                              - Family Planning Centers
                              - Farming
                              - Farming; Ranching; Forestry
                              - Fashion Accessories Manufacturing
                              - Financial Services
                              - Fine Art
                              - Fine Arts Schools
                              - Fire Protection
                              - Fisheries
                              - Fishery
                              - Flight Training
                              - Food and Beverage Manufacturing
                              - Food and Beverage Retail
                              - Food and Beverages
                              - Food and Beverage Services
                              - Food Production
                              - Footwear and Leather Goods Repair
                              - Footwear Manufacturing
                              - Forestry and Logging
                              - Fossil Fuel Electric Power Generation
                              - Freight and Package Transportation
                              - Fruit and Vegetable Preserves Manufacturing
                              - Fuel Cell Manufacturing
                              - Fundraising
                              - Funds and Trusts
                              - Funeral Services
                              - Furniture
                              - Furniture and Home Furnishings Manufacturing
                              - Gambling and Casinos
                              - Gambling Facilities and Casinos
                              - Geothermal Electric Power Generation
                              - Glass; Ceramics and Concrete
                              - Glass; Ceramics and Concrete Manufacturing
                              - Glass Product Manufacturing
                              - Golf Courses and Country Clubs
                              - Government Administration
                              - Government Relations
                              - Government Relations Services
                              - Graphic Design
                              - Ground Passenger Transportation
                              - Health and Human Services
                              - Health; Wellness and Fitness
                              - Higher Education
                              - Highway; Street; and Bridge Construction
                              - Historical Sites
                              - Holding Companies
                              - Home Health Care Services
                              - Horticulture
                              - Hospital and Health Care
                              - Hospitality
                              - Hospitals
                              - Hospitals and Health Care
                              - Hotels and Motels
                              - >-
                                Household and Institutional Furniture
                                Manufacturing
                              - Household Appliance Manufacturing
                              - Household Services
                              - Housing and Community Development
                              - Housing Programs
                              - Human Resources
                              - Human Resources Services
                              - HVAC and Refrigeration Equipment Manufacturing
                              - Hydroelectric Power Generation
                              - Import and Export
                              - Individual and Family Services
                              - Industrial Automation
                              - Industrial Machinery Manufacturing
                              - Industry Associations
                              - Information Services
                              - Information Technology and Services
                              - Insurance
                              - Insurance Agencies and Brokerages
                              - Insurance and Employee Benefit Funds
                              - Insurance Carriers
                              - Interior Design
                              - International Affairs
                              - International Trade and Development
                              - Internet
                              - Internet Marketplace Platforms
                              - Internet News
                              - Internet Publishing
                              - Interurban and Rural Bus Services
                              - Investment Advice
                              - Investment Banking
                              - Investment Management
                              - IT Services and IT Consulting
                              - IT System Custom Software Development
                              - IT System Data Services
                              - IT System Design Services
                              - IT System Installation and Disposal
                              - IT System Operations and Maintenance
                              - IT System Testing and Evaluation
                              - IT System Training and Support
                              - Janitorial Services
                              - Judiciary
                              - Landscaping Services
                              - Language Schools
                              - Laundry and Drycleaning Services
                              - Law Enforcement
                              - Law Practice
                              - Leasing Non-residential Real Estate
                              - Leasing Residential Real Estate
                              - Leather Product Manufacturing
                              - Legal Services
                              - Legislative Offices
                              - Leisure; Travel and Tourism
                              - Libraries
                              - Lime and Gypsum Products Manufacturing
                              - Loan Brokers
                              - Logistics and Supply Chain
                              - Luxury Goods and Jewelry
                              - Machinery
                              - Machinery Manufacturing
                              - Magnetic and Optical Media Manufacturing
                              - Management Consulting
                              - Manufacturing
                              - Maritime
                              - Maritime Transportation
                              - Marketing and Advertising
                              - Marketing Services
                              - Market Research
                              - Mattress and Blinds Manufacturing
                              - Measuring and Control Instrument Manufacturing
                              - Meat Products Manufacturing
                              - Mechanical Or Industrial Engineering
                              - Media and Telecommunications
                              - Media Production
                              - Medical and Diagnostic Laboratories
                              - Medical Device
                              - Medical Equipment Manufacturing
                              - Medical Practice
                              - Medical Practices
                              - Mental Health Care
                              - Metal Ore Mining
                              - Metal Treatments
                              - Metal Valve; Ball; and Roller Manufacturing
                              - Metalworking Machinery Manufacturing
                              - Military
                              - Military and International Affairs
                              - Mining
                              - Mining and Metals
                              - Mobile Computing Software Products
                              - Mobile Food Services
                              - Mobile Games
                              - Mobile Gaming Apps
                              - Motion Pictures and Film
                              - Motor Vehicle Manufacturing
                              - Motor Vehicle Parts Manufacturing
                              - Movies and Sound Recording
                              - Movies; Videos; and Sound
                              - Museums
                              - Museums and Institutions
                              - Museums; Historical Sites; and Zoos
                              - Music
                              - Musicians
                              - Nanotechnology
                              - Nanotechnology Research
                              - Natural Gas Distribution
                              - Natural Gas Extraction
                              - Newspaper Publishing
                              - Newspapers
                              - Nonmetallic Mineral Mining
                              - Non-profit Organization Management
                              - Non-profit Organizations
                              - Nonresidential Building Construction
                              - Nuclear Electric Power Generation
                              - Nursing Homes and Residential Care Facilities
                              - Office Administration
                              - Office Furniture and Fixtures Manufacturing
                              - Oil and Coal Product Manufacturing
                              - Oil and Energy
                              - Oil and Gas
                              - Oil Extraction
                              - Oil; Gas; and Mining
                              - Online and Mail Order Retail
                              - Online Audio and Video Media
                              - Online Media
                              - Operations Consulting
                              - Optometrists
                              - Other
                              - Outpatient Care Centers
                              - Outsourcing and Offshoring Consulting
                              - Outsourcing/Offshoring
                              - Package/Freight Delivery
                              - Packaging and Containers
                              - Packaging and Containers Manufacturing
                              - Paint; Coating; and Adhesive Manufacturing
                              - Paper and Forest Product Manufacturing
                              - Paper and Forest Products
                              - Parts Distribution
                              - Pension Funds
                              - Performing Arts
                              - Performing Arts and Spectator Sports
                              - Periodical Publishing
                              - Personal and Laundry Services
                              - Personal Care Product Manufacturing
                              - Personal Care Services
                              - Pet Services
                              - Pharmaceutical Manufacturing
                              - Pharmaceuticals
                              - Philanthropic Fundraising Services
                              - Philanthropy
                              - Photography
                              - Physical; Occupational and Speech Therapists
                              - Physicians
                              - Pipeline Transportation
                              - Plastics
                              - Plastics and Rubber Product Manufacturing
                              - Plastics Manufacturing
                              - Political Organization
                              - Political Organizations
                              - Postal Services
                              - Primary and Secondary Education
                              - Primary Metal Manufacturing
                              - Primary/Secondary Education
                              - Printing
                              - Printing Services
                              - Professional Organizations
                              - Professional Services
                              - Professional Training and Coaching
                              - Program Development
                              - Public Assistance Programs
                              - Public Health
                              - Public Policy
                              - Public Policy Offices
                              - Public Relations and Communications
                              - Public Relations and Communications Services
                              - Public Safety
                              - Public Works
                              - Publishing
                              - Racetracks
                              - Radio and Television Broadcasting
                              - Railroad Equipment Manufacturing
                              - Railroad Manufacture
                              - Rail Transportation
                              - Ranching
                              - Ranching and Fisheries
                              - Real Estate
                              - Real Estate Agents and Brokers
                              - Real Estate and Equipment Rental Services
                              - Recreational Facilities
                              - Recreational Facilities and Services
                              - Regenerative Design
                              - Religious Institutions
                              - Renewable Energy Equipment Manufacturing
                              - Renewable Energy Power Generation
                              - Renewable Energy Semiconductor Manufacturing
                              - Renewables and Environment
                              - Repair and Maintenance
                              - Research
                              - Research Services
                              - Residential Building Construction
                              - Restaurants
                              - Retail
                              - Retail Apparel and Fashion
                              - >-
                                Retail Appliances; Electrical; and Electronic
                                Equipment
                              - Retail Art Dealers
                              - Retail Art Supplies
                              - Retail Books and Printed News
                              - Retail Building Materials and Garden Equipment
                              - Retail Florists
                              - Retail Furniture and Home Furnishings
                              - Retail Gasoline
                              - Retail Groceries
                              - Retail Health and Personal Care Products
                              - Retail Luxury Goods and Jewelry
                              - Retail Motor Vehicles
                              - Retail Musical Instruments
                              - Retail Office Equipment
                              - Retail Office Supplies and Gifts
                              - Retail Pharmacies
                              - Retail Recyclable Materials and Used Merchandise
                              - Reupholstery and Furniture Repair
                              - Robotics Engineering
                              - Robot Manufacturing
                              - Rubber Products Manufacturing
                              - Satellite Telecommunications
                              - Savings Institutions
                              - School and Employee Bus Services
                              - Seafood Product Manufacturing
                              - Secretarial Schools
                              - Securities and Commodity Exchanges
                              - Security and Investigations
                              - Security Guards and Patrol Services
                              - Security Systems Services
                              - Semiconductor Manufacturing
                              - Semiconductors
                              - Services for Renewable Energy
                              - Services for the Elderly and Disabled
                              - Sheet Music Publishing
                              - Shipbuilding
                              - >-
                                Shuttles and Special Needs Transportation
                                Services
                              - Sightseeing Transportation
                              - Skiing Facilities
                              - Smart Meter Manufacturing
                              - Soap and Cleaning Product Manufacturing
                              - Social Networking Platforms
                              - Software Development
                              - Solar Electric Power Generation
                              - Sound Recording
                              - Space Research and Technology
                              - Specialty Trade Contractors
                              - Spectator Sports
                              - Sporting Goods
                              - Sporting Goods Manufacturing
                              - Sports
                              - Sports and Recreation Instruction
                              - Sports Teams and Clubs
                              - Spring and Wire Product Manufacturing
                              - Staffing and Recruiting
                              - Steam and Air-Conditioning Supply
                              - Strategic Management Services
                              - Subdivision of Land
                              - Sugar and Confectionery Product Manufacturing
                              - Supermarkets
                              - Surveying and Mapping Services
                              - Taxi and Limousine Services
                              - Technical and Vocational Training
                              - Technology; Information and Internet
                              - Technology; Information and Media
                              - Telecommunications
                              - Telecommunications Carriers
                              - Telephone Call Centers
                              - Temporary Help Services
                              - Textile Manufacturing
                              - Textiles
                              - Theater Companies
                              - Think Tanks
                              - Tobacco
                              - Tobacco Manufacturing
                              - Translation and Localization
                              - Transportation Equipment Manufacturing
                              - >-
                                Transportation; Logistics; Supply Chain and
                                Storage
                              - Transportation Programs
                              - Transportation/Trucking/Railroad
                              - Travel Arrangements
                              - Truck Transportation
                              - Trusts and Estates
                              - Turned Products and Fastener Manufacturing
                              - Urban Transit Services
                              - Utilities
                              - Utilities Administration
                              - Utility System Construction
                              - Vehicle Repair and Maintenance
                              - Venture Capital and Private Equity
                              - Venture Capital and Private Equity Principals
                              - Veterinary
                              - Veterinary Services
                              - Vocational Rehabilitation Services
                              - Warehousing
                              - Warehousing and Storage
                              - Waste Collection
                              - Waste Treatment and Disposal
                              - Water Supply and Irrigation Systems
                              - >-
                                Water; Waste; Steam; and Air Conditioning
                                Services
                              - Wellness and Fitness Services
                              - Wholesale
                              - Wholesale Alcoholic Beverages
                              - Wholesale Apparel and Sewing Supplies
                              - >-
                                Wholesale Appliances; Electrical; and
                                Electronics
                              - Wholesale Building Materials
                              - Wholesale Chemical and Allied Products
                              - Wholesale Computer Equipment
                              - Wholesale Drugs and Sundries
                              - Wholesale Food and Beverage
                              - Wholesale Footwear
                              - Wholesale Furniture and Home Furnishings
                              - Wholesale Hardware; Plumbing; Heating Equipment
                              - Wholesale Import and Export
                              - Wholesale Luxury Goods and Jewelry
                              - Wholesale Machinery
                              - Wholesale Metals and Minerals
                              - Wholesale Motor Vehicles and Parts
                              - Wholesale Paper Products
                              - Wholesale Petroleum and Petroleum Products
                              - Wholesale Photography Equipment and Supplies
                              - Wholesale Raw Farm Products
                              - Wholesale Recyclable Materials
                              - Wind Electric Power Generation
                              - Wine and Spirits
                              - Wineries
                              - Wireless
                              - Wireless Services
                              - Women\\'s Handbag Manufacturing
                              - Wood Product Manufacturing
                              - Writing and Editing
                              - Zoos and Botanical Gardens
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - Abrasives and Nonmetallic Minerals Manufacturing
                              - Accessible Architecture and Design
                              - Accessible Hardware Manufacturing
                              - Accommodation and Food Services
                              - Accounting
                              - Administration of Justice
                              - Administrative and Support Services
                              - Advertising Services
                              - Agricultural Chemical Manufacturing
                              - >-
                                Agriculture; Construction; Mining Machinery
                                Manufacturing
                              - Airlines and Aviation
                              - Airlines/Aviation
                              - Air; Water; and Waste Program Management
                              - Alternative Dispute Resolution
                              - Alternative Fuel Vehicle Manufacturing
                              - Alternative Medicine
                              - Ambulance Services
                              - Amusement Parks and Arcades
                              - Animal Feed Manufacturing
                              - Animation
                              - Animation and Post-production
                              - Apparel and Fashion
                              - Apparel Manufacturing
                              - >-
                                Appliances; Electrical; and Electronics
                                Manufacturing
                              - Architectural and Structural Metal Manufacturing
                              - Architecture and Planning
                              - Armed Forces
                              - >-
                                Artificial Rubber and Synthetic Fiber
                                Manufacturing
                              - Artists and Writers
                              - Arts and Crafts
                              - Audio and Video Equipment Manufacturing
                              - Automation Machinery Manufacturing
                              - Automotive
                              - Aviation and Aerospace
                              - Aviation and Aerospace Component Manufacturing
                              - Baked Goods Manufacturing
                              - Banking
                              - Bars; Taverns; and Nightclubs
                              - Bed-and-Breakfasts; Hostels; Homestays
                              - Beverage Manufacturing
                              - Biomass Electric Power Generation
                              - Biotechnology
                              - Biotechnology Research
                              - Blockchain Services
                              - Blogs
                              - >-
                                Boilers; Tanks; and Shipping Container
                                Manufacturing
                              - Book and Periodical Publishing
                              - Book Publishing
                              - Breweries
                              - Broadcast Media
                              - Broadcast Media Production and Distribution
                              - Building Construction
                              - Building Equipment Contractors
                              - Building Finishing Contractors
                              - Building Materials
                              - Building Structure and Exterior Contractors
                              - Business Consulting and Services
                              - Business Content
                              - Business Intelligence Platforms
                              - Business Supplies and Equipment
                              - Cable and Satellite Programming
                              - Capital Markets
                              - Caterers
                              - Chemical Manufacturing
                              - Chemical Raw Materials Manufacturing
                              - Chemicals
                              - Child Day Care Services
                              - Chiropractors
                              - Circuses and Magic Shows
                              - Civic and Social Organization
                              - Civic and Social Organizations
                              - Civil Engineering
                              - Claims Adjusting; Actuarial Services
                              - Clay and Refractory Products Manufacturing
                              - Climate Data and Analytics
                              - Climate Technology Product Manufacturing
                              - Coal Mining
                              - Collection Agencies
                              - Commercial and Industrial Equipment Rental
                              - Commercial and Industrial Machinery Maintenance
                              - >-
                                Commercial and Service Industry Machinery
                                Manufacturing
                              - Commercial Real Estate
                              - Communications Equipment Manufacturing
                              - Community Development and Urban Planning
                              - Community Services
                              - Computer and Network Security
                              - Computer Games
                              - Computer Hardware
                              - Computer Hardware Manufacturing
                              - Computer Networking
                              - Computer Networking Products
                              - Computers and Electronics Manufacturing
                              - Computer Software
                              - Conservation Programs
                              - Construction
                              - Construction Hardware Manufacturing
                              - Consumer Electronics
                              - Consumer Goods
                              - Consumer Goods Rental
                              - Consumer Services
                              - Correctional Institutions
                              - Cosmetics
                              - Cosmetology and Barber Schools
                              - Courts of Law
                              - Credit Intermediation
                              - Cutlery and Handtool Manufacturing
                              - Dairy
                              - Dairy Product Manufacturing
                              - Dance Companies
                              - Data Infrastructure and Analytics
                              - Data Security Software Products
                              - Death Care Services
                              - Defense and Space
                              - Defense and Space Manufacturing
                              - Dentists
                              - Design
                              - Design Services
                              - Desktop Computing Software Products
                              - Digital Accessibility Services
                              - Distilleries
                              - Economic Programs
                              - Education
                              - Education Administration Programs
                              - Education Management
                              - E-learning
                              - E-Learning Providers
                              - Electrical and Electronic Manufacturing
                              - Electrical Equipment Manufacturing
                              - Electric Lighting Equipment Manufacturing
                              - Electric Power Generation
                              - >-
                                Electric Power Transmission; Control; and
                                Distribution
                              - Electronic and Precision Equipment Maintenance
                              - Embedded Software Products
                              - Emergency and Relief Services
                              - Energy Technology
                              - Engineering Services
                              - >-
                                Engines and Power Transmission Equipment
                                Manufacturing
                              - Entertainment
                              - Entertainment Providers
                              - Environmental Quality Programs
                              - Environmental Services
                              - Equipment Rental Services
                              - Events Services
                              - Executive Office
                              - Executive Offices
                              - Executive Search Services
                              - Fabricated Metal Products
                              - Facilities Services
                              - Family Planning Centers
                              - Farming
                              - Farming; Ranching; Forestry
                              - Fashion Accessories Manufacturing
                              - Financial Services
                              - Fine Art
                              - Fine Arts Schools
                              - Fire Protection
                              - Fisheries
                              - Fishery
                              - Flight Training
                              - Food and Beverage Manufacturing
                              - Food and Beverage Retail
                              - Food and Beverages
                              - Food and Beverage Services
                              - Food Production
                              - Footwear and Leather Goods Repair
                              - Footwear Manufacturing
                              - Forestry and Logging
                              - Fossil Fuel Electric Power Generation
                              - Freight and Package Transportation
                              - Fruit and Vegetable Preserves Manufacturing
                              - Fuel Cell Manufacturing
                              - Fundraising
                              - Funds and Trusts
                              - Funeral Services
                              - Furniture
                              - Furniture and Home Furnishings Manufacturing
                              - Gambling and Casinos
                              - Gambling Facilities and Casinos
                              - Geothermal Electric Power Generation
                              - Glass; Ceramics and Concrete
                              - Glass; Ceramics and Concrete Manufacturing
                              - Glass Product Manufacturing
                              - Golf Courses and Country Clubs
                              - Government Administration
                              - Government Relations
                              - Government Relations Services
                              - Graphic Design
                              - Ground Passenger Transportation
                              - Health and Human Services
                              - Health; Wellness and Fitness
                              - Higher Education
                              - Highway; Street; and Bridge Construction
                              - Historical Sites
                              - Holding Companies
                              - Home Health Care Services
                              - Horticulture
                              - Hospital and Health Care
                              - Hospitality
                              - Hospitals
                              - Hospitals and Health Care
                              - Hotels and Motels
                              - >-
                                Household and Institutional Furniture
                                Manufacturing
                              - Household Appliance Manufacturing
                              - Household Services
                              - Housing and Community Development
                              - Housing Programs
                              - Human Resources
                              - Human Resources Services
                              - HVAC and Refrigeration Equipment Manufacturing
                              - Hydroelectric Power Generation
                              - Import and Export
                              - Individual and Family Services
                              - Industrial Automation
                              - Industrial Machinery Manufacturing
                              - Industry Associations
                              - Information Services
                              - Information Technology and Services
                              - Insurance
                              - Insurance Agencies and Brokerages
                              - Insurance and Employee Benefit Funds
                              - Insurance Carriers
                              - Interior Design
                              - International Affairs
                              - International Trade and Development
                              - Internet
                              - Internet Marketplace Platforms
                              - Internet News
                              - Internet Publishing
                              - Interurban and Rural Bus Services
                              - Investment Advice
                              - Investment Banking
                              - Investment Management
                              - IT Services and IT Consulting
                              - IT System Custom Software Development
                              - IT System Data Services
                              - IT System Design Services
                              - IT System Installation and Disposal
                              - IT System Operations and Maintenance
                              - IT System Testing and Evaluation
                              - IT System Training and Support
                              - Janitorial Services
                              - Judiciary
                              - Landscaping Services
                              - Language Schools
                              - Laundry and Drycleaning Services
                              - Law Enforcement
                              - Law Practice
                              - Leasing Non-residential Real Estate
                              - Leasing Residential Real Estate
                              - Leather Product Manufacturing
                              - Legal Services
                              - Legislative Offices
                              - Leisure; Travel and Tourism
                              - Libraries
                              - Lime and Gypsum Products Manufacturing
                              - Loan Brokers
                              - Logistics and Supply Chain
                              - Luxury Goods and Jewelry
                              - Machinery
                              - Machinery Manufacturing
                              - Magnetic and Optical Media Manufacturing
                              - Management Consulting
                              - Manufacturing
                              - Maritime
                              - Maritime Transportation
                              - Marketing and Advertising
                              - Marketing Services
                              - Market Research
                              - Mattress and Blinds Manufacturing
                              - Measuring and Control Instrument Manufacturing
                              - Meat Products Manufacturing
                              - Mechanical Or Industrial Engineering
                              - Media and Telecommunications
                              - Media Production
                              - Medical and Diagnostic Laboratories
                              - Medical Device
                              - Medical Equipment Manufacturing
                              - Medical Practice
                              - Medical Practices
                              - Mental Health Care
                              - Metal Ore Mining
                              - Metal Treatments
                              - Metal Valve; Ball; and Roller Manufacturing
                              - Metalworking Machinery Manufacturing
                              - Military
                              - Military and International Affairs
                              - Mining
                              - Mining and Metals
                              - Mobile Computing Software Products
                              - Mobile Food Services
                              - Mobile Games
                              - Mobile Gaming Apps
                              - Motion Pictures and Film
                              - Motor Vehicle Manufacturing
                              - Motor Vehicle Parts Manufacturing
                              - Movies and Sound Recording
                              - Movies; Videos; and Sound
                              - Museums
                              - Museums and Institutions
                              - Museums; Historical Sites; and Zoos
                              - Music
                              - Musicians
                              - Nanotechnology
                              - Nanotechnology Research
                              - Natural Gas Distribution
                              - Natural Gas Extraction
                              - Newspaper Publishing
                              - Newspapers
                              - Nonmetallic Mineral Mining
                              - Non-profit Organization Management
                              - Non-profit Organizations
                              - Nonresidential Building Construction
                              - Nuclear Electric Power Generation
                              - Nursing Homes and Residential Care Facilities
                              - Office Administration
                              - Office Furniture and Fixtures Manufacturing
                              - Oil and Coal Product Manufacturing
                              - Oil and Energy
                              - Oil and Gas
                              - Oil Extraction
                              - Oil; Gas; and Mining
                              - Online and Mail Order Retail
                              - Online Audio and Video Media
                              - Online Media
                              - Operations Consulting
                              - Optometrists
                              - Other
                              - Outpatient Care Centers
                              - Outsourcing and Offshoring Consulting
                              - Outsourcing/Offshoring
                              - Package/Freight Delivery
                              - Packaging and Containers
                              - Packaging and Containers Manufacturing
                              - Paint; Coating; and Adhesive Manufacturing
                              - Paper and Forest Product Manufacturing
                              - Paper and Forest Products
                              - Parts Distribution
                              - Pension Funds
                              - Performing Arts
                              - Performing Arts and Spectator Sports
                              - Periodical Publishing
                              - Personal and Laundry Services
                              - Personal Care Product Manufacturing
                              - Personal Care Services
                              - Pet Services
                              - Pharmaceutical Manufacturing
                              - Pharmaceuticals
                              - Philanthropic Fundraising Services
                              - Philanthropy
                              - Photography
                              - Physical; Occupational and Speech Therapists
                              - Physicians
                              - Pipeline Transportation
                              - Plastics
                              - Plastics and Rubber Product Manufacturing
                              - Plastics Manufacturing
                              - Political Organization
                              - Political Organizations
                              - Postal Services
                              - Primary and Secondary Education
                              - Primary Metal Manufacturing
                              - Primary/Secondary Education
                              - Printing
                              - Printing Services
                              - Professional Organizations
                              - Professional Services
                              - Professional Training and Coaching
                              - Program Development
                              - Public Assistance Programs
                              - Public Health
                              - Public Policy
                              - Public Policy Offices
                              - Public Relations and Communications
                              - Public Relations and Communications Services
                              - Public Safety
                              - Public Works
                              - Publishing
                              - Racetracks
                              - Radio and Television Broadcasting
                              - Railroad Equipment Manufacturing
                              - Railroad Manufacture
                              - Rail Transportation
                              - Ranching
                              - Ranching and Fisheries
                              - Real Estate
                              - Real Estate Agents and Brokers
                              - Real Estate and Equipment Rental Services
                              - Recreational Facilities
                              - Recreational Facilities and Services
                              - Regenerative Design
                              - Religious Institutions
                              - Renewable Energy Equipment Manufacturing
                              - Renewable Energy Power Generation
                              - Renewable Energy Semiconductor Manufacturing
                              - Renewables and Environment
                              - Repair and Maintenance
                              - Research
                              - Research Services
                              - Residential Building Construction
                              - Restaurants
                              - Retail
                              - Retail Apparel and Fashion
                              - >-
                                Retail Appliances; Electrical; and Electronic
                                Equipment
                              - Retail Art Dealers
                              - Retail Art Supplies
                              - Retail Books and Printed News
                              - Retail Building Materials and Garden Equipment
                              - Retail Florists
                              - Retail Furniture and Home Furnishings
                              - Retail Gasoline
                              - Retail Groceries
                              - Retail Health and Personal Care Products
                              - Retail Luxury Goods and Jewelry
                              - Retail Motor Vehicles
                              - Retail Musical Instruments
                              - Retail Office Equipment
                              - Retail Office Supplies and Gifts
                              - Retail Pharmacies
                              - Retail Recyclable Materials and Used Merchandise
                              - Reupholstery and Furniture Repair
                              - Robotics Engineering
                              - Robot Manufacturing
                              - Rubber Products Manufacturing
                              - Satellite Telecommunications
                              - Savings Institutions
                              - School and Employee Bus Services
                              - Seafood Product Manufacturing
                              - Secretarial Schools
                              - Securities and Commodity Exchanges
                              - Security and Investigations
                              - Security Guards and Patrol Services
                              - Security Systems Services
                              - Semiconductor Manufacturing
                              - Semiconductors
                              - Services for Renewable Energy
                              - Services for the Elderly and Disabled
                              - Sheet Music Publishing
                              - Shipbuilding
                              - >-
                                Shuttles and Special Needs Transportation
                                Services
                              - Sightseeing Transportation
                              - Skiing Facilities
                              - Smart Meter Manufacturing
                              - Soap and Cleaning Product Manufacturing
                              - Social Networking Platforms
                              - Software Development
                              - Solar Electric Power Generation
                              - Sound Recording
                              - Space Research and Technology
                              - Specialty Trade Contractors
                              - Spectator Sports
                              - Sporting Goods
                              - Sporting Goods Manufacturing
                              - Sports
                              - Sports and Recreation Instruction
                              - Sports Teams and Clubs
                              - Spring and Wire Product Manufacturing
                              - Staffing and Recruiting
                              - Steam and Air-Conditioning Supply
                              - Strategic Management Services
                              - Subdivision of Land
                              - Sugar and Confectionery Product Manufacturing
                              - Supermarkets
                              - Surveying and Mapping Services
                              - Taxi and Limousine Services
                              - Technical and Vocational Training
                              - Technology; Information and Internet
                              - Technology; Information and Media
                              - Telecommunications
                              - Telecommunications Carriers
                              - Telephone Call Centers
                              - Temporary Help Services
                              - Textile Manufacturing
                              - Textiles
                              - Theater Companies
                              - Think Tanks
                              - Tobacco
                              - Tobacco Manufacturing
                              - Translation and Localization
                              - Transportation Equipment Manufacturing
                              - >-
                                Transportation; Logistics; Supply Chain and
                                Storage
                              - Transportation Programs
                              - Transportation/Trucking/Railroad
                              - Travel Arrangements
                              - Truck Transportation
                              - Trusts and Estates
                              - Turned Products and Fastener Manufacturing
                              - Urban Transit Services
                              - Utilities
                              - Utilities Administration
                              - Utility System Construction
                              - Vehicle Repair and Maintenance
                              - Venture Capital and Private Equity
                              - Venture Capital and Private Equity Principals
                              - Veterinary
                              - Veterinary Services
                              - Vocational Rehabilitation Services
                              - Warehousing
                              - Warehousing and Storage
                              - Waste Collection
                              - Waste Treatment and Disposal
                              - Water Supply and Irrigation Systems
                              - >-
                                Water; Waste; Steam; and Air Conditioning
                                Services
                              - Wellness and Fitness Services
                              - Wholesale
                              - Wholesale Alcoholic Beverages
                              - Wholesale Apparel and Sewing Supplies
                              - >-
                                Wholesale Appliances; Electrical; and
                                Electronics
                              - Wholesale Building Materials
                              - Wholesale Chemical and Allied Products
                              - Wholesale Computer Equipment
                              - Wholesale Drugs and Sundries
                              - Wholesale Food and Beverage
                              - Wholesale Footwear
                              - Wholesale Furniture and Home Furnishings
                              - Wholesale Hardware; Plumbing; Heating Equipment
                              - Wholesale Import and Export
                              - Wholesale Luxury Goods and Jewelry
                              - Wholesale Machinery
                              - Wholesale Metals and Minerals
                              - Wholesale Motor Vehicles and Parts
                              - Wholesale Paper Products
                              - Wholesale Petroleum and Petroleum Products
                              - Wholesale Photography Equipment and Supplies
                              - Wholesale Raw Farm Products
                              - Wholesale Recyclable Materials
                              - Wind Electric Power Generation
                              - Wine and Spirits
                              - Wineries
                              - Wireless
                              - Wireless Services
                              - Women\\'s Handbag Manufacturing
                              - Wood Product Manufacturing
                              - Writing and Editing
                              - Zoos and Botanical Gardens
                    employee_count:
                      description: >-
                        Range search on the enriched company's LinkedIn
                        headcount. 0 = unset.
                      type: object
                      properties:
                        min:
                          default: 0
                          examples:
                            - 0
                          type: number
                          minimum: 0
                          maximum: 1000000
                        max:
                          default: 0
                          examples:
                            - 0
                          type: number
                          minimum: 0
                          maximum: 1000000
                    size:
                      description: >-
                        Exact matches on the enriched company's LinkedIn size
                        bucket
                      type: object
                      properties:
                        include:
                          default: []
                          examples:
                            - - 51-200
                              - 201-500
                          type: array
                          items:
                            type: string
                            enum:
                              - 1-10
                              - 11-50
                              - 51-200
                              - 201-500
                              - 501-1000
                              - 1001-5000
                              - 5001-10000
                              - 10001+
                    keywords:
                      description: >-
                        Keywords matched against the enriched company
                        positioning / firmographic text
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    hq:
                      description: Company headquarters (not job location)
                      type: object
                      properties:
                        city:
                          description: >-
                            Keywords matched against the enriched company HQ
                            city
                          type: object
                          properties:
                            include:
                              default: []
                              type: array
                              items:
                                type: string
                            exclude:
                              default: []
                              type: array
                              items:
                                type: string
                        state:
                          description: >-
                            Keywords matched against the enriched company HQ
                            state/region
                          type: object
                          properties:
                            include:
                              default: []
                              type: array
                              items:
                                type: string
                            exclude:
                              default: []
                              type: array
                              items:
                                type: string
                        country_code:
                          description: >-
                            Exact matches (ISO-3166 alpha-2) on the enriched
                            company HQ country code
                          type: object
                          properties:
                            include:
                              default: []
                              type: array
                              items:
                                type: string
                                minLength: 2
                                maxLength: 2
                            exclude:
                              default: []
                              type: array
                              items:
                                type: string
                                minLength: 2
                                maxLength: 2
                max_results:
                  default: 10
                  examples:
                    - 2
                  description: Maximum number of results to return
                  type: number
                  minimum: 1
                  maximum: 50
                  example: 2
                cursor:
                  default: null
                  description: Cursor to paginate through the results
                  anyOf:
                    - type: string
                    - type: 'null'
                  examples:
                    - null
                  example: null
          application/x-www-form-urlencoded:
            schema:
              $schema: https://json-schema.org/draft/2020-12/schema
              type: object
              properties:
                job:
                  description: Job-level search criteria
                  type: object
                  properties:
                    title:
                      description: >-
                        Keywords matched against the job title only (strict role
                        search)
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    description:
                      description: Keywords matched against the job description content
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    ai_keywords:
                      description: >-
                        Broad theme search across title, description, skills,
                        responsibilities, requirements and taxonomies
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    field:
                      description: >-
                        The job's professional field or discipline (e.g.
                        Software Engineering, Sales, Finance). Free-form —
                        accepts any field label.
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                    seniority:
                      description: >-
                        The role's seniority, expressed as bands of required
                        years of experience (0-2, 2-5, 5-10, 10+ years).
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - 0-2
                              - 2-5
                              - 5-10
                              - 10+
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - 0-2
                              - 2-5
                              - 5-10
                              - 10+
                    employment_type:
                      description: >-
                        The type of employment the job offers (full-time,
                        part-time, contractor, temporary, intern, etc.).
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - FULL_TIME
                              - PART_TIME
                              - CONTRACTOR
                              - TEMPORARY
                              - INTERN
                              - VOLUNTEER
                              - PER_DIEM
                              - OTHER
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - FULL_TIME
                              - PART_TIME
                              - CONTRACTOR
                              - TEMPORARY
                              - INTERN
                              - VOLUNTEER
                              - PER_DIEM
                              - OTHER
                    work_arrangement:
                      description: >-
                        Where the work is performed — on-site, hybrid, or
                        remote.
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - On-site
                              - Hybrid
                              - Remote OK
                              - Remote Solely
                        exclude:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - On-site
                              - Hybrid
                              - Remote OK
                              - Remote Solely
                    location:
                      description: Job location (not company HQ).
                      type: object
                      properties:
                        city:
                          description: Job location city (exact, case/accent-insensitive)
                          type: object
                          properties:
                            include:
                              default: []
                              type: array
                              items:
                                type: string
                            exclude:
                              default: []
                              type: array
                              items:
                                type: string
                        country_code:
                          description: >-
                            Exact matches (ISO-3166 alpha-2) on the job location
                            country
                          type: object
                          properties:
                            include:
                              default: []
                              examples:
                                - - FR
                                  - GB
                              type: array
                              items:
                                type: string
                                minLength: 2
                                maxLength: 2
                            exclude:
                              default: []
                              type: array
                              items:
                                type: string
                                minLength: 2
                                maxLength: 2
                    date_posted:
                      description: Only jobs posted within the last N days
                      type: object
                      properties:
                        last_days:
                          examples:
                            - 30
                          type: integer
                          minimum: 1
                          maximum: 3650
                          example: 30
                company:
                  description: >-
                    Company-level firmographic criteria (enriched from the
                    internal company record)
                  type: object
                  properties:
                    is_agency:
                      description: >-
                        true = only recruitment/staffing agencies, false =
                        exclude confirmed agencies, null/omitted = both
                      anyOf:
                        - type: boolean
                        - type: 'null'
                    industry:
                      description: >-
                        Exact matches on the enriched company's LinkedIn
                        industry
                      type: object
                      properties:
                        include:
                          default: []
                          type: array
                          items:
                            type: string
                            enum:
                              - Abrasives and Nonmetallic Minerals Manufacturing
                              - Accessible Architecture and Design
                              - Accessible Hardware Manufacturing
                              - Accommodation and Food Services
                              - Accounting
                              - Administration of Justice
                              - Administrative and Support Services
                              - Advertising Services
                              - Agricultural Chemical Manufacturing
                              - >-
                                Agriculture; Construction; Mining Machinery
                                Manufacturing
                              - Airlines and Aviation
                              - Airlines/Aviation
                              - Air; Water; and Waste Program Management
                              - Alternative Dispute Resolution
                              - Alternative Fuel Vehicle Manufacturing
                              - Alternative Medicine
                              - Ambulance Services
                              - Amusement Parks and Arcades
                              - Animal Feed Manufacturing
                              - Animation
                              - Animation and Post-production
                              - Apparel and Fashion
                              - Apparel Manufacturing
                              - >-
                                Appliances; Electrical; and Electronics
                                Manufacturing
                              - Architectural and Structural Metal Manufacturing
                              - Architecture and Planning
                              - Armed Forces
                              - >-
                                Artificial Rubber and Synthetic Fiber
                                Manufacturing
                              - Artists and Writers
                              - Arts and Crafts
                              - Audio and Video Equipment Manufacturing
                              - Automation Machinery Manufacturing
                              - Automotive
                              - Aviation and Aerospace
                              - Aviation and Aerospace Component Manufacturing
                              - Baked Goods Manufacturing
                              - Banking
                              - Bars; Taverns; and Nightclubs
                              - Bed-and-Breakfasts; Hostels; Homestays
                              - Beverage Manufacturing
                              - Biomass Electric Power Generation
                              - Biotechnology
                              - Biotechnology Research
                              - Blockchain Services
                              - Blogs
                              - >-
                                Boilers; Tanks; and Shipping Container
                                Manufacturing
                              - Book and Periodical Publishing
                              - Book Publishing
                              - Breweries
                              - Broadcast Media
                              - Broadcast Media Production and Distribution
                              - Building Construction
                              - Building Equipment Contractors
                              - Building Finishing Contractors
                              - Building Materials
                              - Building Structure and Exterior Contractors
                              - Business Consulting and Services
                              - Business Content
                              - Business Intelligence Platforms
                              - Business Supplies and Equipment
                              - Cable and Satellite Programming
                              - Capital Markets
                              - Caterers
                              - Chemical Manufacturing
                              - Chemical Raw Materials Manufacturing
                              - Chemicals
                              - Child Day Care Services
                              - Chiropractors
                              - Circuses and Magic Shows
                              - Civic and Social Organization
                              - Civic and Social Organizations
                              - Civil Engineering
                              - Claims Adjusting; Actuarial Services
                              - Clay and Refractory Products Manufacturing
                              - Climate Data and Analytics
                              - Climate Technology Product Manufacturing
                              - Coal Mining
                              - Collection Agencies
                              - Commercial and Industrial Equipment Rental
                              - Commercial and Industrial Machinery Maintenance
                              - >-
                                Commercial and Service Industry Machinery
                                Manufacturing
                              - Commercial Real Estate
                              - Communications Equipment Manufacturing
                              - Community Development and Urban Planning
                              - Community Services
                              - Computer and Network Security
                              - Computer Games
                              - Computer Hardware
                              - Computer Hardware Manufacturing
                              - Computer Networking
                              - Computer Networking Products
                              - Computers and Electronics Manufacturing
                              - Computer Software
                              - Conservation Programs
                              - Construction
                              - Construction Hardware Manufacturing
                              - Consumer Electronics
                              - Consumer Goods
                              - Consumer Goods Rental
                              - Consumer Services
                              - Correctional Institutions
                              - Cosmetics
                              - Cosmetology and Barber Schools
                              - Courts of Law
                              - Credit Intermediation
                              - Cutlery and Handtool Manufacturing
                              - Dairy
                              - Dairy Product Manufacturing
                              - Dance Companies
                              - Data Infrastructure and Analytics
                              - Data Security Software Products
                              - Death Care Services
                              - Defense and Space
                              - Defense and Space Manufacturing
                              - Dentists
                              - Design
                              - Design Services
                              - Desktop Computing Software Products
                              - Digital Accessibility Services
                              - Distilleries
                              - Economic Programs
                              - Education
                              - Education Administration Programs
                              - Education Management
                              - E-learning
                              - E-Learning Providers
                              - Electrical and Electronic Manufacturing
                              - Electrical Equipment Manufacturing
                              - Electric Lighting Equipment Manufacturing
                              - Electric Power Generation
[...]
